xcb_big_requests_enable(3)

NAME
xcb_big_requests_enable - Enable the BIG-REQUESTS extension

SYNOPSIS
#include <xcb/bigreq.h>

  Request function

xcb_big_requests_enable_cookie_t xcb_big_requests_enable(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_big_requests_enable_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t maximum_request_length;
} xcb_big_requests_enable_reply_t;

  Reply function

xcb_big_requests_enable_reply_t *xcb_big_requests_enable_reply(xcb_connection_t *conn, xcb_big_requests_enable_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_BIG_REQUESTS_ENABLE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

maximum_request_length
    The maximum length of requests supported by the server, in 4-byte units.

DESCRIPTION
This enables the BIG-REQUESTS extension, which allows for requests larger than 262140 bytes in length. When enabled, if the 16-bit length field is zero, it is immediately followed by a 32-bit length field specifying the length of the request in 4-byte units.

RETURN VALUE
Returns an xcb_big_requests_enable_cookie_t. Errors have to be handled when calling the reply function xcb_big_requests_enable_reply. If you want to handle errors in the event loop instead, use xcb_big_requests_enable_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from bigreq.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.